// MakeStringObject
// takes any number of arguments of the string form "name:value"
// constructs an object of same
function MakeStringObject() {
	var result = new Object();
	var arg;
	var point;
	for(var i=0; i<MakeObject.arguments.length; i++) {
		arg = MakeObject.arguments[i];
		point = arg.indexOf(":");
		if ( point > 0 )
			result[arg.substring(0,point)] 
				= arg.substring(point+1, arg.length);
	}
	return result;
}

function MakeObject() {
	var result = new Object();
	for(var i=0; i<MakeObject.arguments.length; i+=2) {
		if ((i + 1) != MakeObject.arguments.length)
			result[MakeObject.arguments[i]] = MakeObject.arguments[i+1];
	}
	return result;
}

function ObjectToArray(o) {
  var a = new Array();
  var i = 0;
  for (p in o)
    a[i++] = [p, o[p]];
  return a;
}

function ArrayToObject(a) {
  var o = new Object();
  for(var i=0; i<a.length; i++)
    o[a[i][0]] = a[i][1];
  return o;
}
